import { MongoLogWriter, mongoLogId } from 'mongodb-log-writer';
import createDebug from 'debug';
export type Logger = {
    log: ReturnType<MongoLogWriter['bindComponent']>;
    mongoLogId: typeof mongoLogId;
    debug: ReturnType<typeof createDebug>;
};
export declare function createGenericLogger(component: string, emit: (event: string, arg: any) => void): Logger;
//# sourceMappingURL=logger.d.ts.map